Loading...
Searching...
No Matches
abis_rsl_cchan_hdr Struct Reference
A-bis RSL

`#include <gsm_08_58.h>`

## Data Fields

struct abis_rsl_common_hdr | c
uint8_t | ie_chan
| RSL_IE_CHAN_NR (tag)
union { |
uint8_t chan_nr |
union abis_rsl_chan_nr chan_nr_fields |
| RSL channel number (value) More...
}; |  |
uint8_t | data [0]
| message payload data

## Field Documentation

## [union]

union { ... } abis_rsl_cchan_hdr

## c

struct abis_rsl_common_hdr abis_rsl_cchan_hdr::c

## chan_nr

uint8_t abis_rsl_cchan_hdr::chan_nr

## chan_nr_fields

union abis_rsl_chan_nr abis_rsl_cchan_hdr::chan_nr_fields

RSL channel number (value)

## data

uint8_t abis_rsl_cchan_hdr::data[0]

message payload data

## ie_chan

uint8_t abis_rsl_cchan_hdr::ie_chan

RSL_IE_CHAN_NR (tag)

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_08_58.h